SHARE
TWEET

Untitled

a guest Jul 7th, 2015 302 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. pi@raspberrypi /etc/init.d $ cat vhusbdpin
  2. #! /bin/sh
  3. ### BEGIN INIT INFO
  4. # Provides:          vhusbdarmhf
  5. # Required-Start:    $remote_fs $syslog
  6. # Required-Stop:     $remote_fs $syslog
  7. # Default-Start:     2 3 4 5
  8. # Default-Stop:      0 1 6
  9. # Short-Description: Start VirtualHere USB Sharing on boot
  10. # Description:       VirtualHere will share USB devices over a network
  11. ### END INIT INFO
  12.  
  13. # Author: VirtualHere Pty. Ltd. <mail@virtualhere.com>
  14.  
  15. # Do NOT "set -e"
  16.  
  17. # PATH should only include /usr/* if it runs after the mountnfs.sh script
  18. PATH=/sbin:/usr/sbin:/bin:/usr/bin
  19. DESC="VirtualHere USB Sharing"
  20. NAME=vhusbdarmhf
  21. DAEMON=/usr/sbin/$NAME
  22. DAEMON_ARGS="-b -c /etc/virtualhere/config.ini -r /var/log/virtualhere.log"
  23. SCRIPTNAME=/etc/init.d/vhusbdpin
  24.  
  25. # Exit if the package is not installed
  26. [ -x "$DAEMON" ] || exit 0
  27.  
  28. # Read configuration variable file if it is present
  29. [ -r /etc/default/$NAME ] && . /etc/default/$NAME
  30.  
  31. # Load the VERBOSE setting and other rcS variables
  32. . /lib/init/vars.sh
  33.  
  34. # Define LSB log_* functions.
  35. # Depend on lsb-base (>= 3.2-14) to ensure that this file is present
  36. # and status_of_proc is working.
  37. . /lib/lsb/init-functions
  38.  
  39. #
  40. # Function that starts the daemon/service
  41. #
  42. do_start()
  43. {
  44.         # Return
  45.         #   0 if daemon has been started
  46.         #   1 if daemon was already running
  47.         #   2 if daemon could not be started
  48.         start-stop-daemon --start --quiet --exec $DAEMON --test > /dev/null \
  49.                 || return 1
  50.         start-stop-daemon --start --quiet --exec $DAEMON -- \
  51.                 $DAEMON_ARGS \
  52.                 || return 2
  53.         # Add code here, if necessary, that waits for the process to be ready
  54.         # to handle requests from services started subsequently which depend
  55.         # on this one.  As a last resort, sleep for some time.
  56. }
  57.  
  58. #
  59. # Function that stops the daemon/service
  60. #
  61. do_stop()
  62. {
  63.         # Return
  64.         #   0 if daemon has been stopped
  65.         #   1 if daemon was already stopped
  66.         #   2 if daemon could not be stopped
  67.         #   other if a failure occurred
  68.         start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --name $NAME
  69.         RETVAL="$?"
  70.         [ "$RETVAL" = 2 ] && return 2
  71.         # Wait for children to finish too if this is a daemon that forks
  72.         # and if the daemon is only ever run from this initscript.
  73.         # If the above conditions are not satisfied then add some other code
  74.         # that waits for the process to drop all resources that could be
  75.         # needed by services started subsequently.  A last resort is to
  76.         # sleep for some time.
  77.         start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
  78.         [ "$?" = 2 ] && return 2
  79.         # Many daemons don't delete their pidfiles when they exit.
  80.         return "$RETVAL"
  81. }
  82.  
  83. #
  84. # Function that sends a SIGHUP to the daemon/service
  85. #
  86. do_reload() {
  87.         #
  88.         # If the daemon can reload its configuration without
  89.         # restarting (for example, when it is sent a SIGHUP),
  90.         # then implement that here.
  91.         #
  92.         start-stop-daemon --stop --signal 1 --quiet --name $NAME
  93.         return 0
  94. }
  95.  
  96. case "$1" in
  97.   start)
  98.         [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
  99.         do_start
  100.         case "$?" in
  101.                 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
  102.                 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
  103.         esac
  104.         ;;
  105.   stop)
  106.         [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
  107.         do_stop
  108.         case "$?" in
  109.                 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
  110.                 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
  111.         esac
  112.         ;;
  113.   status)
  114.         status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
  115.         ;;
  116.   #reload|force-reload)
  117.         #
  118.         # If do_reload() is not implemented then leave this commented out
  119.         # and leave 'force-reload' as an alias for 'restart'.
  120.         #
  121.         #log_daemon_msg "Reloading $DESC" "$NAME"
  122.         #do_reload
  123.         #log_end_msg $?
  124.         #;;
  125.   restart|force-reload)
  126.         #
  127.         # If the "reload" option is implemented then remove the
  128.         # 'force-reload' alias
  129.         #
  130.         log_daemon_msg "Restarting $DESC" "$NAME"
  131.         do_stop
  132.         case "$?" in
  133.           0|1)
  134.                 do_start
  135.                 case "$?" in
  136.                         0) log_end_msg 0 ;;
  137.                         1) log_end_msg 1 ;; # Old process is still running
  138.                         *) log_end_msg 1 ;; # Failed to start
  139.                 esac
  140.                 ;;
  141.           *)
  142.                 # Failed to stop
  143.                 log_end_msg 1
  144.                 ;;
  145.         esac
  146.         ;;
  147.   *)
  148.         #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
  149.         echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
  150.         exit 3
  151.         ;;
  152. esac
  153.  
  154. :
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Not a member of Pastebin yet?
Sign Up, it unlocks many cool features!
 
Top